正體中文 | 简体中文 | English

:::

下載 chklinks

系統需求

  1. Perl 5.6 或以上。我還沒有在更早的版本上成功執行過。若妳可以在更早的版本上執行,請告訴我。妳可以輸入 perl -v 查詢妳目前的 Perl 版本。目前大多數的 Unix 系統都有 Perl 。如果妳沒有 Perl 或需要昇級,可以到 Perl 網站下載安裝最新版 Perl 。若妳是用 MS-Windows ,可以下載安裝 ActiveState 公司的 ActivePerl

  2. 需搭配的 Perl 模組:

    URI

    這是解析、處理網址用的。妳可以CPAN 模組庫下載安裝 URI ,或用 CPAN Shell 執行 cpan URI 安裝,或用 CPANPLUS Shell 執行 cpanp i URI 安裝。若妳是 Debian/Ubandu Linux 使用者,可以執行 apt-get install liburi-perl 安裝。若妳是 Red Hat/Fedora/CentOS Linux 使用者,可以執行 yum install perl-URI 安裝。若妳是 FreeBSD 使用者,可以執行 ports install p5-URI 安裝。若妳是 ActivePerl 使用者,可以執行 ppm install URI 安裝。

    HTML::LinkExtor

    這是由網頁塈銗X連結用的。 HTML::LinkExtorHTML-Parser 中的模組。妳可以CPAN 模組庫下載安裝 HTML::LinkExtor ,或用 CPAN Shell 執行 cpan HTML::LinkExtor 安裝,或用 CPANPLUS Shell 執行 cpanp i HTML::LinkExtor 安裝。若妳是 Debian/Ubandu Linux 使用者,可以執行 apt-get install libhtml-parser-perl 安裝。若妳是 Red Hat/Fedora/CentOS Linux 使用者,可以執行 yum install perl-HTML-Parser 安裝。若妳是 FreeBSD 使用者,可以執行 ports install p5-HTML-Parser 安裝。若妳是 ActivePerl 使用者,可以執行 ppm install HTML::LinkExtor 安裝。

    LWP::RobotUA

    這是抓取網頁用的。 LWP::RobotUAlibwww-perl 中的模組。妳可以CPAN 模組庫下載安裝 LWP::RobotUA ,或用 CPAN Shell 執行 cpan LWP::RobotUA 安裝,或用 CPANPLUS Shell 執行 cpanp i LWP::RobotUA 安裝。若妳是 Debian/Ubandu Linux 使用者,可以執行 apt-get install libwww-perl 安裝。若妳是 Red Hat/Fedora/CentOS Linux 使用者,可以執行 yum install perl-libwww-perl 安裝。若妳是 FreeBSD 使用者,可以執行 ports install p5-libwww 安裝。若妳是 ActivePerl 使用者,可以執行 ppm install LWP::RobotUA 安裝。

    若妳由 CPANCPANPLUS Shell 安裝 chklinks ,會自動幫妳安裝以上所需的模組。

  3. 選配的 Perl 模組:

    Crypt::SSLeay

    這是要讓 LWP::RobotUA 支援 HTTPS 的功能。妳可以CPAN 模組庫下載安裝 Crypt::SSLeay ,或用 CPAN Shell 執行 cpan Crypt::SSLeay 安裝,或用 CPANPLUS Shell 執行 cpanp i Crypt::SSLeay 安裝。若妳是 Debian/Ubandu Linux 使用者,可以執行 apt-get install libcrypt-ssleay-perl 安裝。若妳是 Red Hat/Fedora/CentOS Linux 使用者,可以執行 yum install perl-Crypt-SSLeay 安裝。若妳是 FreeBSD 使用者,可以執行 ports install p5-Crypt-SSLeay 安裝。因加拿大聯邦政府的規定, ActiveState 公司無法提供 Crypt::SSLeayActivePerl PPM 套件安裝。不過若妳是 ActivePerl 使用者,還是可以改由其它套件庫,執行 ppm install http://theoryx5.uwinnipeg.ca/ppms/Crypt-SSLeay.ppd 安裝。

依瑪貓,初稿 2003-05-25 ,上次更新日期 2009-04-19